<?php require_once 'templates/config.php'; ?>
<!DOCTYPE html>
<html>
<head>
    <title>SMVITM Student Grievance System</title>
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>
<?php include 'templates/navbar.php'; ?>
<?php
if ($_SESSION['login_type'] != "faculty") {
    header('Location: track.php');
    exit;
}
?>
<div class="container">
    <div class="card z-depth-5">
        <div class="card-content">
            <span class="card-title">Add Faculty</span>
            <div class="row">
                <div class="col s12 m6 l6">
                    <input type="text" id="name" placeholder="Faculty Name" autocomplete="off" class="validate"/>
                    <span class="helper-text red-text text-darken-2" id="facultyNameError"></span>
                </div>
                <div class="col s12 m6 l6">
                    <input type="email" id="email" placeholder="Faculty Email" autocomplete="off" class="validate"/>
                    <span class="helper-text red-text text-darken-2" id="facultyEmailError"></span>
                </div>
            </div>
            <button id="facultySubmit" class="btn waves-effect waves-light brown lighten-1">
                <i class="material-icons">add</i> Add Faculty
            </button>
        </div>
    </div>

    <div class="card z-depth-5">
        <div class="card-content">
            <span class="card-title">Add Grievance Type</span>
            <div class="row">
                <div class="col s12 m6 l6">
                    <input type="text" id="type" placeholder="Grievance Type" autocomplete="off" class="validate"/>
                    <span class="helper-text red-text text-darken-2" id="typeError"></span>
                </div>
            </div>
            <button id="typeSubmit" class="btn waves-effect waves-light brown lighten-1">
                <i class="material-icons">add</i> Add Grievance Type
            </button>
        </div>
    </div>
</div>


<?php include 'templates/modals.php'; ?>

<?php include 'templates/footer.php'; ?>

<!-- jQuery cdn -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Compiled and minified JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.min.js"></script>

<script>
    $(document).ready(function () {
        $('.sidenav').sidenav();
        $('.modal').modal();

        var clearErrorMessages = function () {
            $('#facultyNameError').html("");
            $('#facultyEmailError').html("");
            $('#typeError').html("");
        };

        // Clear error messages when clicked on any input elements.
        $(":input").click(function () {
            clearErrorMessages();
        });

        var validateEmail = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;

        var wait = $("#wait").modal({
            opacity: 0.75,
            preventScrolling: true,
            dismissible: false,
        });

        var failed = $("#failedToInsert").modal({
            opacity: 0.75,
            preventScrolling: true,
            dismissible: false,
        });

        var success = $("#inserted").modal({
            opacity: 0.75,
            preventScrolling: true,
            dismissible: false,
        });

        $('#facultySubmit').click(function () {
            var name = $("#name").val();
            var email = $("#email").val();
            clearErrorMessages();
            var hasErrors = function () {
                var errors = false;
                if (name === null || name.length === 0) {
                    $('#facultyNameError').html("Please enter faculty name");
                    errors = true;
                }
                if (email === null || email.length === 0) {
                    $('#facultyEmailError').html("Please enter faculty email");
                    errors = true;
                } else if (!validateEmail.test(email)) {
                    $('#facultyEmailError').html("Please enter a valid email");
                    errors = true;
                }

                return errors;
            };

            if (!hasErrors()) {
                $.ajax({
                    beforeSend: function () {
                        wait.modal('open');
                    },
                    url: "io/add.php",
                    data: JSON.stringify({"name": name, "email": email}),
                    type: "POST",
                    success: function (data, status) {
                        if (status === "success") {
                            if (JSON.parse(data).status === "success") {
                                // Data entered to database successfully
                                $("#name").val("");
                                $("#email").val("");
                                wait.modal('close');
                                success.modal('open');
                            } else {
                                // Failed to insert data.
                                wait.modal('close');
                                failed.modal('open');
                            }
                        }
                    }
                });
            }
        });

        $('#typeSubmit').click(function () {
            var type = $("#type").val();
            clearErrorMessages();
            var hasErrors = function () {
                var errors = false;
                if (type === null || type.length === 0) {
                    $('#typeError').html("Please enter the Grievance Type");
                    errors = true;
                }
                return errors;
            };

            if (!hasErrors()) {
                $.ajax({
                    beforeSend: function () {
                        wait.modal('open');
                    },
                    url: "io/add.php",
                    data: JSON.stringify({"type": type}),
                    type: "POST",
                    success: function (data, status) {
                        if (status === "success") {
                            if (JSON.parse(data).status === "success") {
                                // Data entered to database successfully
                                $("#type").val("");
                                wait.modal('close');
                                success.modal('open');
                            } else {
                                // Failed to insert data.
                                wait.modal('close');
                                failed.modal('open');
                            }
                        }
                    }
                });
            }

        });
    });
</script>

</body>
</html>
