<?php require_once 'templates/config.php'; ?>
<!DOCTYPE html>
<html>
<head>
    <title>SMVITM Student Grievance System</title>
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>
<?php
if ($_SESSION['login_type'] != "student") {
    header('Location: track.php');
    exit;
}
?>
<?php include 'templates/navbar.php'; ?>

<div class="container">
    <div class="row">
        <div class="input-field col s12 m6 l6">
            <select id="type">
                <option value="" disabled selected>Choose Department</option>
                <?php
                $sql = "SELECT * 
                            FROM type;";
                $result = $connection->prepare($sql);
                if ($result->execute()) {
                    $res = $result->get_result();

                    while ($row = $res->fetch_assoc()) {
                        echo "<option value=\"" . $row['type'] . "\">" . $row['type'] . "</option>";
                    }
                }

                ?>
            </select>
            <label for="type">Grievance Type</label>
            <span class="helper-text red-text text-darken-2" id="grievanceTypeError"></span>
        </div>
        <div class="input-field col s12 m6 l6">
            <select multiple id="to">
                <option value="" disabled>Choose your option</option>
                <?php
                $sql = "SELECT * 
                            FROM faculties;";
                $result = $connection->prepare($sql);
                if ($result->execute()) {
                    $res = $result->get_result();

                    while ($row = $res->fetch_assoc()) {
                        echo "<option value=\"" . $row['name'] . "*" . $row['email'] . "\" selected>" . $row['name'] . "</option>";
                        }
                    }

                ?>
            </select>
            <label for="to">Grievance To</label>
            <span class="helper-text red-text text-darken-2" id="grievanceToError"></span>
        </div>

        <div class="input-field col s12">
            <textarea id="grievanceDescription" class="materialize-textarea"></textarea>
            <label for="grievanceDescription">Grievance Description</label>
            <span class="helper-text red-text text-darken-2" id="grievanceDescriptionError"></span>
        </div>

    </div>

    <div class="row">
        <button class="btn waves-effect waves-light brown lighten-1" id="submit">Submit
            <i class="material-icons right">send</i>
        </button>
    </div>
</div>

<?php include 'templates/modals.php'; ?>

<?php include 'templates/footer.php'; ?>

<!-- jQuery cdn -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Compiled and minified JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.min.js"></script>

<script>
    $(document).ready(function () {
        // Initialize.
        $('select').formSelect();
        $('.sidenav').sidenav();
        $('.modal').modal();

        // Default values.
        var type = null;
        var to = null;
        var grievanceDescription = null;

        var clearErrorMessages = function () {
            $('#grievanceTypeError').html("");
            $('#grievanceDescriptionError').html("");
            $('#grievanceToError').html("");
        };

        // Clear error messages when clicked on any input elements.
        $(":input").click(function () {
            clearErrorMessages();
        });

        $('#submit').click(function () {
            var type = $('#type').val();
            var to = $('#to').val();
            var grievanceDescription = $('#grievanceDescription').val();

            clearErrorMessages();
            var hasErrors = function () {
                var errors = false;
                if (type === null || type.length === 0) {
                    $('#grievanceTypeError').html("Please select Grievance Type");
                    errors = true;
                }
                if (grievanceDescription === null || grievanceDescription.length === 0) {
                    $('#grievanceDescriptionError').html("Please enter grievance description");
                    errors = true;
                }
                if (to === null || to.length === 0) {
                    $('#grievanceToError').html("Please select Grievance To");
                    errors = true;
                }
                return errors;
            };

            if (!hasErrors()) {
                var wait = $("#wait").modal({
                    opacity: 0.75,
                    preventScrolling: true,
                    dismissible: false,
                });

                var failed = $("#failedToInsert").modal({
                    opacity: 0.75,
                    preventScrolling: true,
                    dismissible: false,
                });

                $.ajax({
                    beforeSend: function () {
                        wait.modal('open');
                    },
                    url: "io/grievance.php",
                    data: JSON.stringify({"type": type, "to": to, "grievanceDescription": grievanceDescription}),
                    type: "POST",
                    success: function (data, status) {
                        if (status === "success") {
                            if (JSON.parse(data).status === "success") {
                                // Data entered to database successfully
                                window.location.href = "track.php";
                                wait.modal('close');
                            } else {
                                // Failed to insert data.
                                wait.modal('close');
                                failed.modal('open');
                            }
                        }
                    }
                });
            }
        });
    });
</script>

</body>
</html>