<!DOCTYPE html>
<html>
<head>
    <title>SMVITM Student Grievance System</title>
    <meta name="google-signin-client_id"
          content="236356715824-rtmkhafhf0dgo0e8cdp9mbone2ekhdg2.apps.googleusercontent.com">
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>

<div class="navbar-fixed">
    <nav>
        <div class="nav-wrapper  brown lighten-1">
            <a href="#!" class="brand-logo center">SMVITM Grievance Portal</a>
        </div>
    </nav>
</div>


<div class="container">
    <div class="row">
        <div class="col m3 s12 center">
            <img src="images/complaint.jpg" width="150" height="150">
        </div>
        <div class="col m9 s12">
            <h5>Students Grievance Portal</h5>
            <p class="justify">Students & Faculties of Shri Madhwa Vadiraja Institute of Technology can lodge complaints
                related to the admission process, non-transparent or any unfair evaluation practices, provision of
                student amenities, alleged discrimination of students, the problem with canteen, hostel etc. through
                this portal. These complaints will be addressed as soon as possible.</p>
        </div>
    </div>
    <div class="row">
        <div class="col m12 s12">
            <h5>Sign in using your Google account.</h5>
            <div class="row">
                <div class="col s6 offset-s2 m6 offset-m4">
                    <div id="g-signin2"></div>
                </div>
            </div>
            <p class="justify"><strong>Note: If sign in with Google button is not visible, then try disabling your ad
                    blocker.</strong></p>
            <p class="justify">This is only for authentication purposes. We only store your name and email address
                so we
                can respond to your complaint. No other data will be taken from your account. Your identity will not
                be
                revealed.</p>
        </div>
    </div>

    <div class="row">
        <div class="col m12 s12">
            <h5>Objectives of Student's Grievance Portal</h5>
            <ul class="justify browser-default">
                <li>To support, those students who have been deprived of the services offered by the college, for
                    which
                    he/she is entitled.
                </li>
                <li>To make officials of the college responsive, accountable and courteous in dealing with the
                    students.
                </li>
                <li>To ensure an effective solution to the student's grievances with an impartial and fair
                    approach.
                </li>
            </ul>
        </div>
    </div>
    <div class="row">
        <div class="col m12 s12">
            <h5>Functions</h5>
            <ul class="justify browser-default">
                <li> Redressal of Student's Grievances to solve their academic and administrative problems.</li>
                <li>To co-ordinate between students and Departments / Sections to redress the grievances.</li>
                <li>To guideways and means to the students to redress their problems.</li>
            </ul>
        </div>
    </div>

    <!-- Modal Structure -->
    <div id="errorModal" class="modal">
        <div class="modal-content">
            <h4>Error</h4>
            <p>Please sign in using sode-edu.in email account.</p>
        </div>
        <div class="modal-footer">
            <a href="#" class="modal-close waves-effect waves-green btn-flat">Ok</a>
        </div>
    </div>
</div>

<?php include 'templates/modals.php'; ?>


<?php include 'templates/footer.php'; ?>


<!-- Google api JS -->
<script src="https://apis.google.com/js/platform.js" async defer></script>

<!-- jQuery cdn -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

<!-- Compiled and minified JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.min.js"></script>


<script>
    $(document).ready(function () {
        gapi.load('auth2', function () {
            gapi.auth2.init();
        });
    });

    window.onLoadCallback = function () {
        gapi.auth2.init({
            client_id: '236356715824-rtmkhafhf0dgo0e8cdp9mbone2ekhdg2.apps.googleusercontent.com'
        });
    };

    function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.signOut().then(function () {
            console.log('User signed out.');
            window.location.href = "index.php";
        });
    }

    function onSuccess(googleUser) {
        var errorModal = $("#errorModal").modal({
            opacity: 0.75,
            preventScrolling: true,
            dismissible: false,
            onCloseEnd: function () {
                // Redirect to login page
                window.location.href = "index.php";
            }

        });

        var loadingModal = $("#wait").modal({
            opacity: 0.75,
            preventScrolling: true,
            dismissible: false,
        });

        var id_token = googleUser.getAuthResponse().id_token;
        $.ajax({
            beforeSend: function () {
                loadingModal.modal('open');
            },
            url: "io/auth.php",
            data: {"token": id_token},
            type: 'POST',
            success: function (data, status) {
                console.log(data);
                var response = JSON.parse(data);
                if (status === "success") {
                    if (response.status === "success") {
                        window.location.href = response.redirect;
                    } else {
                        // Close the loading modal.
                        loadingModal.modal('close');
                        // Display alert message.
                        errorModal.modal('open');
                    }
                } else {
                    console.log("response:", data);
                }
            }
        });

    }

    function onFailure(error) {
        console.log(error);
    }

    function renderButton() {
        gapi.signin2.render('g-signin2', {
            'scope': 'profile email',
            'width': 240,
            'height': 50,
            'longtitle': true,
            'theme': 'dark',
            'onsuccess': onSuccess,
            'onfailure': onFailure
        });
    }
</script>


<script src="https://apis.google.com/js/platform.js?onload=renderButton" async defer></script>


</body>
</html>