<?php
// Database connections
require_once '../templates/config.php';

// Receive JSON from complaints.php
$data = json_decode(file_get_contents('php://input'), true);

// If this file is accessed directly, redirect to login page.
if ($data === null) {
    header('Location: ../index.php');
    exit;
}

if (count($data) === 2) {
    $sql = "INSERT INTO `faculties` (`email`, `name`) 
            VALUES (?, ?);";
    $result = $connection->prepare($sql);
    $result->bind_param('ss', htmlspecialchars(mysqli_real_escape_string($connection, $data['email'])), htmlspecialchars(mysqli_real_escape_string($connection, $data['name'])));
} else if (count($data) === 1) {
    $sql = "INSERT INTO `type` (`type`) 
            VALUES (?);";
    $result = $connection->prepare($sql);
    $result->bind_param('s', $data['type']);
}

if ($result->execute()) {
    $response = array("status" => "success");
} else {
    $response = array("status" => "failure");
}

// Send JSON response to browser
echo json_encode($response);

