<?php
    // Database connections
    require_once '../templates/config.php';

    // Receive JSON from complaints.php
    $data = json_decode(file_get_contents('php://input'), true);

    // If this file is accessed directly, redirect to login page.
    if ($data === null) {
        header('Location: ../index.php');
        exit;
    }

    // Insert values to database.
    $sql = "INSERT INTO `grievance_response` (`grievance_id`, `response_from`, `response`) 
            VALUES (?, ?, ?);";
    $result = $connection->prepare($sql);
    // Sanitize input, prevents SQL injection & XSS attacks.
    $response = htmlspecialchars(mysqli_real_escape_string($connection, $data['response']));
    $result->bind_param('iss', $data['grievanceID'], $_SESSION['name'], $response);
    if ($result->execute()) {
        // Insertion successful.
        $jsonResponse = array("status" => "success");
        $_SESSION['response_inserted'] = "success";
    } else {
        // Failed to insert.
        $jsonResponse = array("status" => "failure");
    }
    // Send the JSON response to the browser.
    echo json_encode($jsonResponse);