<?php
    require_once '../vendor/autoload.php';
//    require_once '../templates/config.php';

    // Including config.php which cause redirection issues, so make connection to database here.
    $connection = new mysqli("localhost", "root", "", "grievance");

    session_start();

    // If this files is accessed directly
    if (!isset($_POST['token'])) {
        // Redirect to login page
        header('Location: ../index.php');
        exit;
    }

// Admin email.
$_SESSION['admin'] = "principal@sode-edu.in";

    // Receive token from Google.
    $id_token = $_POST['token'];
    // Google API ID.
    $CLIENT_ID = "236356715824-rtmkhafhf0dgo0e8cdp9mbone2ekhdg2.apps.googleusercontent.com";
    $client = new Google_Client(['client_id' => $CLIENT_ID]);
    $client->setApplicationName("SMVITM Grievance System");
    $payload = $client->verifyIdToken($id_token);

// Hosted domain should be sode-edu.in
    $domain = null;
    if (isset($payload['hd'])) {
        $domain = $payload['hd'];
    }

    // Only allow email address from sode-edu.in domain.
    if ($domain === "sode-edu.in") {
        // Save required data in variable
        $name = $payload['name'];
        $email = $payload['email'];
        $pictureURL = $payload['picture'];

        // Check if the user is faculty or student.
        $sql = "SELECT email
                FROM `faculties`
                WHERE email = ?;";
        $result = $connection->prepare($sql);
        $result->bind_param('s', $email);
        $result->execute();
        $res = $result->get_result();

        if ($res->num_rows > 0) {
            // Faculty, after login, redirect to track.php.
            $redirect = "track.php";
            $_SESSION['login_type'] = "faculty";
        } else {
            // Student, after login, redirect to complaints.php.
            $redirect = "complaints.php";
            $_SESSION['login_type'] = "student";
        }

        // Set session variables
        $_SESSION['name'] = $name;
        $_SESSION['email'] = $email;
        $_SESSION['picture'] = $pictureURL;

        // JSON response
        $response = array("status" => "success", "redirect" => $redirect);

    } else {
        // Invalid ID token or email
        $response = array("status" => "failure");
    }

    // Send JSON response to browser
    echo json_encode($response);
