<?php
    // Database connections
    require_once '../templates/config.php';

    // Receive JSON from complaints.php
    $data = json_decode(file_get_contents('php://input'), true);

    // If this file is accessed directly, redirect to login page.
    if ($data === null) {
        header('Location: ../index.php');
        exit;
    }

    $sql = "UPDATE `grievance_details` 
            SET `status` = ?
            WHERE id = ?";
    $result = $connection->prepare($sql);
    $result->bind_param('si', $data['status'], $data['grievanceID']);
    if ($result->execute()) {
        // Status updated.
        $jsonResponse = array("status" => "success");
    } else {
        // Failed to update status.
        $jsonResponse = array("status" => "failure");
    }
    // Send the JSON response to the browser.
    echo json_encode($jsonResponse);