<?php
// Database connections
require_once '../templates/config.php';

// Receive JSON from complaints.php
$data = json_decode(file_get_contents('php://input'), true);

// If this file is accessed directly, redirect to login page.
if ($data === null) {
    header('Location: ../index.php');
    exit;
}

// Insert values to database.
$sql = "INSERT INTO `grievance_details` (`student_name`, `email`, `description`, `type`) 
            VALUES (?, ?, ?, ?);";
$result = $connection->prepare($sql);
$result->bind_param('ssss', $_SESSION['name'], $_SESSION['email'], htmlspecialchars(mysqli_real_escape_string($connection, $data['grievanceDescription'])),
    $data['type']);

if ($result->execute()) {
    // Get the ID of grievance inserted previously. This is to insert ID as foreign key in grievance_to table.
    $sql = "SELECT id FROM `grievance_details` WHERE `email` = ? ORDER BY date_time DESC LIMIT 1";
    $result = $connection->prepare($sql);
    $result->bind_param('s', $_SESSION['email']);
    $result->execute();
    // Get result
    $res = $result->get_result();
    // Convert it to associative array and get the name
    $row = $res->fetch_assoc();
    $grievanceID = $row['id'];

    // Insert to table grievance_to table.
    $sql = "INSERT INTO `grievance_to` (`grievance_id`, `name`, `email`) VALUES ";
    // Concat the query with required values.
    for ($i = 0; $i < count($data['to']); $i++) {
        // Extract name and email address.
        $select = explode('*', trim($data['to'][$i]));
        $sql .= "('" . $grievanceID . "', '" . $select[0] . "', '" . $select[1] . "')";
        // Don't include comma at the end of the query.
        if ($i < count($data['to']) - 1) {
            $sql .= ",";
        }
    }

    // Execute the query.
    if ($connection->query($sql) == TRUE) {
        $jsonResponse = array("status" => "success");
        // Variable to show toast in the track.php page. If "success" -> show toast message.
        $_SESSION['grievanceInserted'] = "success";
    } else {
        $jsonResponse = array("status" => "failure");
    }
} else {
    $jsonResponse = array("status" => "failure");
}

// Send the JSON response to the browser.
echo json_encode($jsonResponse);