<?php
// Database connection and sessions.
require_once 'templates/config.php'
?>
<!DOCTYPE html>
<html>
<head>
    <title>SMVITM Student Grievance System</title>
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>

<?php include 'templates/navbar.php'; ?>

<?php
if ($_SESSION['admin'] === $_SESSION['email']) {
    $sql = "SELECT * 
            FROM grievance_details 
            ORDER BY date_time DESC;";
} else if (isset($_SESSION['login_type']) && $_SESSION['login_type'] === "student") {
    $sql = "SELECT * 
            FROM grievance_details 
            WHERE email = ?
            ORDER BY date_time DESC;";
} else if (isset($_SESSION['login_type']) && $_SESSION['login_type'] === "faculty") {
    $sql = "SELECT * 
            FROM `grievance_to`, `grievance_details`
            WHERE grievance_to.grievance_id = grievance_details.id
            AND grievance_to.email = ?
            ORDER BY grievance_details.date_time DESC;";
}

if (isset($_SESSION['login_type'])) {
    $result = $connection->prepare($sql);
    if ($_SESSION['email'] != $_SESSION['admin']) {
        $result->bind_param('s', $_SESSION['email']);
    }
    $result->execute();

    $res = $result->get_result();
    $html = "";

    while ($row = $res->fetch_assoc()) {
        // Set status variable.
        $status = null;
        $icon = null;
        if (strtolower($row['status']) === "registered") {
            $status = "<span class=\"new badge green\">Under Progress</span>";
            $icon = "<i class=\"material-icons icon-green\">hourglass_full</i>";
        } else if (strtolower($row['status']) === "solved") {
            $status = "<span class=\"new badge blue\">Solved</span>";
            $icon = "<i class=\"material-icons icon-blue\">check_circle</i>";
        } else if (strtolower($row['status']) === "cannot solve") {
            $status = "<span class=\"new badge red\">Cannot Solve</span>";
            $icon = "<i class=\"material-icons icon-red\">cancel</i>";
        }
        $html .= "<li>
            <a href=\"grievanceDetails.php?id=" . $row['id'] . "\" class=\"collection-item\">
                " . $status . "
                <span class=\"badge\">Click for more</span>
                <div class=\"truncate\">
                    " . $icon . $row['description'] . "
                </div>
            </a>
        </li>
        <div class=\"divider\"></div>";
    }


    // If no grievance found
    if ($html === "") {
        $html = "<h3 class='center' id=\"noGrievance\">No Grievance found!</h3>";
    }
}

?>

<div class="container">
    <h5 id="grievanceRegistered">Grievance registered</h5>
    <ul class="collection z-depth-3">
        <?php echo $html; ?>
    </ul>
</div>


<?php include 'templates/footer.php'; ?>

<!-- jQuery cdn -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Compiled and minified JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.min.js"></script>

<script>
    $(document).ready(function () {
        $('.sidenav').sidenav();
        $('.tooltipped').tooltip();

        <?php
        if (isset($_SESSION['grievanceInserted']) && $_SESSION['grievanceInserted'] === "success") {
            // Show toast message.
            echo 'M.toast({html: \'Grievance Registered!\', classes: \'rounded\'})';
            // Prevents displaying toast again and again.
            $_SESSION['grievanceInserted'] = "";
        }
        ?>

        if ($('#noGrievance').length) {
            $('#grievanceRegistered').hide();
        }
    });
</script>

</body>
</html>